WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Failed 2.5 install and need to revert but can't (9 posts)

  1. terasuccubi
    Member
    Posted 6 years ago #

    I attempted to upgrade from 2.3.3 to 2.5 today...

    And I lost everything when 2.5 appeared...

    I'm trying to roll back to 2.3.3 by removing the upgrade and then putting the old installation back and then use the mySQL to restore the last backup of the database but it fails...

    The message on the Blog is:

    Fatal error: Cannot redeclare documentation_link() (previously declared in /home/.wonkity/terasuccubi/succubus.net/blog/wp-includes/deprecated.php:1272) in /home/.wonkity/terasuccubi/succubus.net/blog/wp-admin/includes/template.php on line 72

    Can you please help?

    Thank you!

    Tera S

  2. terasuccubi
    Member
    Posted 6 years ago #

    I've dug around in the forums and discovered this thread:

    http://wordpress.org/support/topic/164256?replies=2

    Which in part says:

    Try deleting the wp-admin and wp-includes folder and reuploading the 2.5 version of those folders.

    Would this work in 2.3.3 with a fresh just out of the .tar file copy?

    Tera S

  3. Samuel Wood (Otto)
    Tech Ninja
    Posted 6 years ago #

    Yes. When you put a new version on there, you have to make sure to remove the old files first. Having a mix of old files and new files is the source of your problem.

  4. terasuccubi
    Member
    Posted 6 years ago #

    So if I put in the 2.3.3 versions of those folders it should return to life?

    I do wonder why it was that the 2.5 upgrade took my site and basically made me start from the beginning with a new blog...

    All of the stuff that was in it from the beginning was gone and it asked for a name for the blog and so forth like a new install...

    Any ideas to avoid this issue when I try this again?

    <hugs>

    And thank you for answering my question Otto!

    Tera S

  5. terasuccubi
    Member
    Posted 6 years ago #

    OK...

    Did so and now get this error:

    Fatal error: Call to undefined function require_wp_db() in /home/.wonkity/terasuccubi/succubus.net/blog/wp-settings.php on line 204

    Any thoughts?

    Thank you in advance!

    Tera S

  6. Samuel Wood (Otto)
    Tech Ninja
    Posted 6 years ago #

    All the files in the root have to be downgraded too. That means the wp-settings.php file and everything else.

    I do wonder why it was that the 2.5 upgrade took my site and basically made me start from the beginning with a new blog...

    Because you deleted or changed the wp-config.php file. You don't have to run the "install" again when upgrading.

  7. terasuccubi
    Member
    Posted 6 years ago #

    mmmk...

    Now that I'm home I'll try that and post the results of that soonish...

    <snugs>

    Thank you again Otto for your kindness!

    Tera S

  8. terasuccubi
    Member
    Posted 6 years ago #

    And after going and replacing all of the root files...

    It's taking me to the install.php when I try and access the blog...

    <sigh>

    Tera S

  9. terasuccubi
    Member
    Posted 6 years ago #

    Oddly...

    I just redid all the steps again and my blog is up now....

    <blinks>

    Must have missed something...

    <huggles>

    Thank you again Otto!!

    <kisses>

    Tera S

Topic Closed

This topic has been closed to new replies.

About this Topic